Перейти к содержанию
kerifan

Какую лучше версию 2.Х выбирать сейчас!?

Рекомендуемые сообщения

Доброго времени суток, друзья!

Прошу Вашего совета... хотелось бы, создать с нуля интернет-магазин именно версию 2.Х, с шаблоном монеймакер, и не знаю какая на данный момент самая *здоровая* версия? 2.1 или 2.2 а может 2.3? посоветуйте, пожалуйста... или может подождать ещё чуть-чуть!?

Возможно, есть уже такая тема... дайте ссылку... но, я не нашёл!(

 

Заранее, спасибо!

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

ocStore 2.1.0.2.1

Изменено пользователем jvz

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

2.1 2.2, с выходом 2.3 становятся тупиковыми, так как очень сильно поменялась архитектура.

Подождите месяц, когда появятся адаптации топовых модулей под 2.3 и в бой на ней!

  • +1 1

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

ocStore 2.1.0.2.1

Посмотрите в Гитхаб Даниэля.

2.1 - ТУПИК!

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

2.1 2.2, с выходом 2.3 становятся тупиковыми, так как очень сильно поменялась архитектура.

Подождите месяц, когда появятся адаптации топовых модулей под 2.3 и в бой на ней!

Я так мимолетом смотрел, шаблонизатор "ветка" теперь там будет , композер прикрутили, что есть еще нового ? 

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Я так мимолетом смотрел, шаблонизатор "ветка" теперь там будет , композер прикрутили, что есть еще нового ? 

 

Из существенного - критически изменен механимз Startup.

Переделана структура дополнений/модулей.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Ну я имею ввиду, только чистые сборки с офф.сайта - http://www.opencart.com/

всё-таки думаете подождать 2.3 пока допилят хорошенько? еслиб... сам автор бы ещё давал рекомендации )) но увы... или есть ссылки, где он советует? или критикует предыдущие версии?

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Ну я имею ввиду, только чистые сборки с офф.сайта - http://www.opencart.com/

всё-таки думаете подождать 2.3 пока допилят хорошенько? еслиб... сам автор бы ещё давал рекомендации )) но увы... или есть ссылки, где он советует? или критикует предыдущие версии?

 

Вы делаете ту же самую глупость, что и все фанаты чистого опенкарта....

Т.е. по вашему. масса людей. Делают локализацию - просто так от нечего делать ?

Все они дилетанты и занимаются этим просто так... А не от того что чистый опенкарт - это беда с точки зрения сео ?

Я уже молчу про локализации населенных пунктов, валют, модули интеграций с местными платежными системами и так далее...

 

Если у вас есть лишняя неделя и вы уверены в своих способностях, сделать правильно локализацию и настроить красивое сео - пожалуйста.

Если нет - то вникните в чем смысл русскоязычных сборок и просто сэкономьте себе время и деньги!

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

ну тогда... я не знаю что делать =) где и что брать...и когда...

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Вы делаете ту же самую глупость, что и все фанаты чистого опенкарта....

Т.е. по вашему. масса людей. Делают локализацию - просто так от нечего делать ?

Все они дилетанты и занимаются этим просто так... А не от того что чистый опенкарт - это беда с точки зрения сео ?

Я уже молчу про локализации населенных пунктов, валют, модули интеграций с местными платежными системами и так далее...

 

Если у вас есть лишняя неделя и вы уверены в своих способностях, сделать правильно локализацию и настроить красивое сео - пожалуйста.

Если нет - то вникните в чем смысл русскоязычных сборок и просто сэкономьте себе время и деньги!

про сео-про не забудьте, который тоже не простым копированием файлом добавляется к оригинальному опенкарту

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

2.1 2.2, с выходом 2.3 становятся тупиковыми, так как очень сильно поменялась архитектура.

Подождите месяц, когда появятся адаптации топовых модулей под 2.3 и в бой на ней!

для начала нужно подождать когда все же стабильный релиз с минимумом багов будет

а то что-то все последние блины релизы - комом

 

 

ну тогда... я не знаю что делать =) где и что брать...и когда...

будет стабильный релиз - будет русскоязычная сборка на его базе

ocstore 21021 как раз пока последний на более-менее стабильной версии, его и берите

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

для начала нужно подождать когда все же стабильный релиз с минимумом багов будет

а то что-то все последние блины релизы - комом

 

 

будет стабильный релиз - будет русскоязычная сборка на его базе

ocstore 21021 как раз пока последний на более-менее стабильной версии, его и берите

2.3.0.2 - достаточно зрелая ветка...И дальше будет все в ее архитектуре. Предлагая запускаться на 2.1 - вы сразу человека угоняете в тупиковый вариант, проапдейтится с которого будет почти равносильно переезду с 1.5.x на 2.x

  • +1 1

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

2.3.0.2 - достаточно зрелая ветка...И дальше будет все в ее архитектуре. Предлагая запускаться на 2.1 - вы сразу человека угоняете в тупиковый вариант, проапдейтится с которого будет почти равносильно переезду с 1.5.x на 2.x

И так каждый раз.... Напоминает историю с айфоном. Только купишь новый, через пол года выходит еще новей

пора уже апдейтер делать

Изменено пользователем prochet

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

И так каждый раз.... Напоминает историю с айфоном. Только купишь новый, через пол года выходит еще новей

 

Вы не правы...

Если взять 1.5 - то 1.5.3 - не сильно отличалась от 1.5.6.

 

Те изменения которые произошли от 2.0 до 2.3 - если за ними наблюдать регулярно, они достаточно логичны.

 

В общих чертах opencart пытаются донянуть хоть как то до архитектуры Magento.

Сразу сделать это невозможно по двум причинам - отсутствие ресурсов. И наличие большого шлейфа магазинов с существующей архитектурой. Вот и ведется планомерная работа.

На сегодня, по моему, архитектурные движения глобальные, которые могли произойти - произошли. Дальше вся система будет обрастать "Мясом" и багфиксами.

Ну и я вангую, не за горами обьявление - opencart стал партнером Ebay. Или еще что то в таком духе.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

2.3.0.2 - достаточно зрелая ветка...И дальше будет все в ее архитектуре. Предлагая запускаться на 2.1 - вы сразу человека угоняете в тупиковый вариант, проапдейтится с которого будет почти равносильно переезду с 1.5.x на 2.x

 

я к чему:

вместо того, чтобы ставить 2302 и спотыкаться о новые баги, сидя в ожидании адаптации модулей под него - лучше запустить магазин на стабильной версии ocstore 21021, все болячки которого более-менее известны и решены + модулей под него навалом

 

а переехать на 23хх можно уже потом, если такая необходимость возникнет

к тому моменту и детские болезни релиза поправят и с модулями проблем не будет

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

я к чему:

вместо того, чтобы ставить 2302 и спотыкаться о новые баги, сидя в ожидании адаптации модулей под него - лучше запустить магазин на стабильной версии ocstore 21021, все болячки которого более-менее известны и решены + модулей под него навалом

 

а переехать на 23хх можно уже потом, если такая необходимость возникнет

к тому моменту и детские болезни релиза поправят и с модулями проблем не будет

Ровно через две недели все разработчики прекратят что то делать под 2.1-.2.2

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

как-то слишком категорично..

 

тут люди периодически просят модули на 1.5.1.х - 1.5.3.х :-)

а вы говорите "прекратят через две недели"

 

не всегда есть возможность безболезненного обновления

плюс если есть возможность сделать дополнение, совместимое с предыдущими версиями - авторы обычно делают

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Ровно через две недели все разработчики прекратят что то делать под 2.1-.2.2

Так получается, как выпустят 2.4 потом 2.5-2.6 с таким же темпом, потом можно сказать что через 2 недели прекратят делать что-то под 2.3-2.4 !? это же понятно..

Изменено пользователем kerifan

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Так получается, как выпустят 2.4 потом 2.5-2.6 с таким же темпом, потом можно сказать что через 2 недели прекратят делать что-то под 2.3-2.4 !? это же понятно..

Я же ответил выше.

Есть глобальные архитектурные подвижки. Дальше это будет дорабатываться. Больших изменений в ветке 2.x - скорее не предвидится.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Нарастает мнение, что нужно искать стабильный движок...

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Вот я одно не пойму, толку тут с композера, все платежные API и один интересный компилятор scssphp

{
    "name": "opencart/opencart",
    "type": "project",
    "description": "OpenCart",
    "keywords": ["opencart", "ecommerce", "framework", "opensource"],
    "homepage": "http://www.opencart.com",
    "license": "GPL-3.0+",
    "require": {
        "cardinity/cardinity-sdk-php": "^1.0",
        "braintree/braintree_php" : "3.2.0",
        "leafo/scssphp": "0.0.12",
        "divido/divido-php": ">=1.1.1",
        "klarna/kco_rest": "^2.2",
        "php": ">=5.4.0"
    }
}

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

как-то слишком категорично..

 

тут люди периодически просят модули на 1.5.1.х - 1.5.3.х :-)

а вы говорите "прекратят через две недели"

 

не всегда есть возможность безболезненного обновления

плюс если есть возможность сделать дополнение, совместимое с предыдущими версиями - авторы обычно делают

есть много магазинов которым хорошо и на 1.5 и даже не думают о переходе на 2.х

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

есть много магазинов которым хорошо и на 1.5 и даже не думают о переходе на 2.х

Согласен! У меня у самого магазин на 1.5.6.4... dverihouse.com - если тут нельзя, показать ссылку (простите) =)

Но, хочется новый магазин другой тематики на 2.х... так как, например, даже пару модулей и шаблон которые мне необходимы они именно под 2.х. И я думаю, таким темпом все и будут потихоньку переходить на 2.х... хотя, кто знает...

Изменено пользователем kerifan

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Согласен! У меня у самого магазин на 1.5.6.4... dverihouse.com - если тут нельзя, показать ссылку (простите) =)

Но, хочется нового на 2.х... так как, например, даже пару модулей и шаблон которые мне необходимы они именно под 2.х. И я думаю, таким темпом все и будут потихоньку переходить на 2.х... хотя, кто знает...

на 1,5 будут жить только те магазины которые были переделаны в корень и поддерживаются программистами, не боли того 

Все остальные будут переходить на 2.3 и >

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

От композера толку 0 - так как все шаблонопейсатели будут долго переучиваться и все будет по старинке.

 

На 1.5 магазины в рунете без адаптивного шаблона будут умирать как мухи. Все таки доля мобильных девайсов стала огромна. И если на 10% потерь трафика можно было забить, то на 50 уже не забьешь.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Для публикации сообщений создайте учётную запись или авторизуйтесь

Вы должны быть пользователем, чтобы оставить комментарий

Создать учетную запись

Зарегистрируйте новую учётную запись в нашем сообществе. Это очень просто!

Регистрация нового пользователя

Войти

Уже есть аккаунт? Войти в систему.

Войти

  • Последние посетители   0 пользователей онлайн

    Ни одного зарегистрированного пользователя не просматривает данную страницу

×

Важная информация

На нашем сайте используются файлы cookie и происходит обработка некоторых персональных данных пользователей, чтобы улучшить пользовательский интерфейс. Чтобы узнать для чего и какие персональные данные мы обрабатываем перейдите по ссылке. Если Вы нажмете «Я даю согласие», это означает, что Вы понимаете и принимаете все условия, указанные в этом Уведомлении о Конфиденциальности.